Package org.mariadb.jdbc

## Class MariaDbPoolPinnedConnection

- java.lang.Object
- - org.mariadb.jdbc.MariaDbPoolConnection
  - - org.mariadb.jdbc.MariaDbPoolPinnedConnection

All Implemented Interfaces:
  `PooledConnection`, `XAConnection`

    public class MariaDbPoolPinnedConnection
    extends MariaDbPoolConnection

MariaDB pool connection implementation

### Constructor Summary

Constructors
`MariaDbPoolPinnedConnection​(Connection connection)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close underlying connection
`XAResource` `getXAResource()`

### Methods inherited from class org.mariadb.jdbc.MariaDbPoolConnection

`addConnectionEventListener, addStatementEventListener, fireConnectionClosed, fireConnectionErrorOccurred, fireStatementClosed, fireStatementErrorOccurred, flagsToString, getConnection, mapXaException, removeConnectionEventListener, removeStatementEventListener, xidToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MariaDbPoolPinnedConnection

    public MariaDbPoolPinnedConnection​(Connection connection)

Constructor.

Parameters:
  `connection` - connection to retrieve connection options

### Method Detail

#### close

    public void close()
               throws SQLException

Close underlying connection

Specified by:
  `close` in interface `PooledConnection`
Overrides:
  `close` in class `MariaDbPoolConnection`
Throws:
  `SQLException` - if close fails

#### getXAResource

    public XAResource getXAResource()

Specified by:
  `getXAResource` in interface `XAConnection`
Overrides:
  `getXAResource` in class `MariaDbPoolConnection`